using UnityEngine;

public abstract class DrawShape : MonoBehaviour
{
    public abstract void StartDraw(Vector2 position);
    public abstract void StopDraw(Vector2 position);
    public abstract void UpdateShape(Vector2 newPosition);
    public abstract void Clear();
}
